# Method: projects.getIamPolicy

- [HTTP request](https://docs.cloud.google.com/resource-manager/reference/rest/v1/projects/getIamPolicy#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/resource-manager/reference/rest/v1/projects/getIamPolicy#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/resource-manager/reference/rest/v1/projects/getIamPolicy#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/resource-manager/reference/rest/v1/projects/getIamPolicy#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/resource-manager/reference/rest/v1/projects/getIamPolicy#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/resource-manager/reference/rest/v1/projects/getIamPolicy#body.aspect)
- [Try it!](https://docs.cloud.google.com/resource-manager/reference/rest/v1/projects/getIamPolicy#try-it)

Returns the IAM access control policy for the specified Project. Permission is denied if the policy or the resource does not exist.

Authorization requires the Google IAM permission `resourcemanager.projects.getIamPolicy` on the project.

For additional information about `resource` (e.g. my-project-id) structure and identification, see [Resource Names](https://cloud.google.com/apis/design/resource_names).

### HTTP request

`POST https://cloudresourcemanager.googleapis.com/v1/projects/{resource}:getIamPolicy`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resource` | `string` REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "options": { object (`https://docs.cloud.google.com/resource-manager/reference/rest/Shared.Types/GetIamPolicyRequest#GetPolicyOptions`) } } ``` |

| Fields ||
|---|---|
| `options` | ``object (`https://docs.cloud.google.com/resource-manager/reference/rest/Shared.Types/GetIamPolicyRequest#GetPolicyOptions`)`` OPTIONAL: A `GetPolicyOptions` object for specifying options to `projects.getIamPolicy`. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/resource-manager/reference/rest/Shared.Types/Policy`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/cloud-platform.read-only`
- `https://www.googleapis.com/auth/cloudplatformprojects`
- `https://www.googleapis.com/auth/cloudplatformprojects.readonly`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).